---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend
  namespace: django
  labels:
    app: frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: frontend
  template:
    metadata:
      labels:
        app: frontend
    spec:
      volumes:
        - name: nginx-configmap
          configMap:
            name: nginx-configmap
            items:
              - key: nginx.conf
                path: nginx.conf
          defaultMode: 420
        - name: zitadel-configmap
          configMap:
            name: zitadel-configmap
            items:
              - key: config.json
                path: config.json
          defaultMode: 420
      containers:
        - name: frontend
          image: cr.yandex/crp3ccidau046kdj8g9q/sarex-frontend-dev:contour_5.22.0
          imagePullPolicy: IfNotPresent
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          resources:
            requests:
              cpu: 25m
              memory: 100Mi
          volumeMounts:
            - name: nginx-configmap
              mountPath: /etc/nginx/nginx.conf
              subPath: nginx.conf
            - name: zitadel-configmap
              readOnly: true
              mountPath: /opt/react_client/static/config.json
              subPath: config.json
      imagePullSecrets:
        - name: regcred
